[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TSharedCustomBitmap.FreePalette

Frees the handle in the Palette property.

## Declaration

Source position: graphics.pp line 1355

`protected procedure TSharedCustomBitmap.FreePalette;`

## Description

FreePalette is a procedure used to free the handle assigned for the Palette. FreePalette calls DeleteObject to release the Palette handle. The Palette handle is set to 0 (zero) to indicate that the handle is no longer in use or is invalid.

No actions are performed in the method when the Palette handle contains 0 on entry.